# BuildResult

open class BuildResult

A `BuildResult` packages up the result of a build.

## Constructors

BuildResult
Link copied to clipboard
constructor(@Nullable gradle: @Nullable Gradle, @Nullable failure: @Nullable Throwable)
constructor(action: String, @Nullable gradle: @Nullable Gradle, @Nullable failure: @Nullable Throwable)

## Properties

action
Link copied to clipboard
val action: String
failure
Link copied to clipboard
@get:Nullable
val failure: Throwable
gradle
Link copied to clipboard
@get:Nullable
val gradle: Gradle

## Functions

rethrowFailure
Link copied to clipboard
open fun rethrowFailure(): BuildResult
Rethrows the build failure.